#include <stdio.h>
#include <math.h>

typedef  struct complex{
  double Re,Im;
}Complex;

#define MAX(a,b) ((a)>(b)?(a):(b))
Complex InitComplex(double a, double b);
Complex ReadComplex();
void PrintComplex(Complex z);
void permut(double *x, double *y);
void PermutComplex(Complex *z1,Complex *z2);
Complex axpbyComplex(double lambda,Complex z1,double mu, Complex z2);
double modulusComplex(Complex z);
double areaComplexT(Complex z1, Complex z2, Complex z3);
void PrintComplex(Complex z);
void Print3Complex(Complex z1,Complex z2, Complex z3);
double maxLengthComplexT(Complex z1, Complex z2, Complex z3); 
void solve(double A, double B, double C, Complex *z1, Complex *z2);